import request from '/@/utils/request';

export function workerManageApi() {
    return {
        // 分页获取作业人列表
        getOperatorListPage: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/account/operator/page/list`,
                method: 'post',
                data: data
            });
        },

        // 分页获取安全员列表
        getHeaderListPage: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/account/header/page/list`,
                method: 'post',
                data: data
            });
        },

        // 分页获取监护人列表
        getGuardianListPage: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/account/guardian/page/list`,
                method: 'post',
                data: data
            });
        },
    };
}
